Bug 31923 - After about 10 hours system reports
After about 10 hours system reports
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-15 20:23 EST by J. Bruce Howie
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 20:04:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. Bruce Howie 2001-03-15 20:23:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.74 [en] (Win98; U)


System has 2 ethernet cards. Eth0 is using dhcpcd to connect to an upstream server. Eth1 is has a fixed address and serves a small local 
network through IP Masquerade. After about 10 hours the system reports "kernel: unregister_netdevice: waiting for eth0 to become free." When 
the system in in run level 5, cannot log out of X windows. In run level 3, cannot shutdown system. Ethernet
drivers are eth0 - 3c59x and eth1 via-rhine. Problem possibly related to renewal of IP license on eth0

Reproducible: Always
Steps to Reproduce:
1.System with two ethernet cards
2.Dhcpcd eth0 
3. Wait until renewal of IP address
	

Actual Results:  System stops being able to talk to the ethernet, system cannot be rebooted without a hard reset.

Expected Results:  System should have renewed IP license transparently? System should have remained stable

If desired, system is on Internet and can be accessed Please contact me to recieve logon credentials.
Comment 1 Arjan van de Ven 2001-03-16 05:57:29 EST
can you try doing a "rm /etc/cron.d/kmod" and then restart the cron service ?
let me know if that helps.
Comment 2 J. Bruce Howie 2001-03-18 23:08:07 EST
System has been up for for more than 50 hours with no problems. 
The suggested change seems to have fixed the problem.

Note You need to log in before you can comment on or make changes to this bug.